import React, {useState} from 'react';
import {View, Text} from 'react-native';
import TextField from '../../../components/Input/TextField';
import TextMulti from '../../../components/Input/TextMulti';
import PickerDate from '../../../components/Picker/PickerDate';
import PickerImg from '../../../components/Picker/PickerImg';
const GeneralInfor = (props) => {
  const [birth, setBirth] = useState(new Date());

  return (
    <View style={{flex: 1, paddingHorizontal: 10, paddingTop: 10}}>
      <TextField title={'User name'} />
      <TextField title={'Sponsor ID'} />
      <View style={{flexDirection: 'row'}}>
        <View style={{flex: 1}}>
          <TextField title={'Tên'} />
        </View>
        <View style={{width: 20}} />
        <View style={{flex: 1}}>
          <TextField title={'Họ'} />
        </View>
      </View>
      <TextField title={'Số điện thoại'} />
      <PickerDate
        value={birth}
        onValueChange={(val) => setBirth(val)}
        title={'Ngày sinh'}
      />

      <TextMulti title={'Địa chỉ'} />
      <View style={{height: 100}} />
    </View>
  );
};

export default GeneralInfor;
