import React, {useState} from 'react';
import {View, Text} from 'react-native';
import HeaderBack from '../../components/Header/HeaderBack';
import PickerItem from '../../components/Picker/PickerItem';
const dataTest = [
  {
    value: '1',
    name: '2020',
  },
  {
    value: '2',
    name: '2021',
  },
  {
    value: '3',
    name: '2022',
  },
  {
    value: '4',
    name: '2023',
  },
  {
    value: '5',
    name: '2023',
  },
  {
    value: '3',
    name: '2022',
  },
  {
    value: '4',
    name: '2023',
  },
  {
    value: '5',
    name: '2023',
  },
];

const FeedbackView = (props) => {
  const [year, setYear] = useState(dataTest[2]);
  return (
    <View style={{flex: 1, paddingTop: 60}}>
      <Text>FeedbackView screen</Text>

      <PickerItem
        width={100}
        data={dataTest}
        onValueChange={(value, items) => {
          setYear(items);
        }}
      />
    </View>
  );
};

export default FeedbackView;
