import React from 'react';
import {View, Text, FlatList} from 'react-native';

import HeaderSearch from '../../components/Header/HeaderSearch';
import Item from './Item';

const data = [
  {
    id: '1',
    time: '20/02/2021',
    content: 'Yêu cầu nạp tiền của bạn đã đươc xác nhận',
  },
  {
    id: '2',
    time: '20/02/2021',
    content: 'Yêu cầu nạp tiền của bạn đã đươc xác nhận',
  },
  {
    id: '3',
    time: '20/02/2021',
    content: 'Yêu cầu nạp tiền của bạn đã đươc xác nhận',
  },
  {
    id: '4',
    time: '20/02/2021',
    content: 'Yêu cầu nạp tiền của bạn đã đươc xác nhận',
  },
];

const NotificaitonView = (props) => {
  return (
    <View style={{flex: 1}}>
      <HeaderSearch isWhite={false} title={'Thông báo'} />

      <FlatList
        keyExtractor={(item) => item.id}
        data={data}
        renderItem={({item}) => <Item item={item} />}
      />
    </View>
  );
};

export default NotificaitonView;
